Company logoTrust Center Documentation
API v1 ReferenceActivityEntitytypeId

List content activity

List field changes for one document, certification, subprocessor, or update. Results use cursor pagination and the current user's tenant and Directus…

GET
/api/v1/activity/{entityType}/{id}

List field changes for one document, certification, subprocessor, or update. Results use cursor pagination and the current user's tenant and Directus permissions. A document version can be selected with the optional version parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

entityType*string

Content type.

Value in

  • "document"
  • "certification"
  • "subprocessor"
  • "update"
id*string

Content item ID.

Query Parameters

limit?integer

Maximum number of activity events to return.

Range1 <= value <= 100
Default25
cursor?string

Opaque cursor from the previous response.

version?string

Document version ID used to limit versioned document activity.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/activity/document/string"
{  "success": true,  "data": {    "events": [      {        "id": "string",        "action": "created",        "occurredAt": "2019-08-24T14:15:22Z",        "actor": {          "id": "string",          "displayName": "string",          "kind": "user"        },        "version": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "status": "string"        },        "changes": [          {            "field": "string",            "labelKey": "string",            "kind": "scalar",            "locale": "string",            "before": "string",            "after": "string"          }        ]      }    ],    "nextCursor": "string",    "coverage": {      "updateRelationHistory": true,      "relationRemovals": true,      "deletedTranslations": true,      "versionLifecycle": "revision-context-only"    }  }}

How is this guide?